<?php
/**
 * @file
 * Admin settings page for the Marketo Munchkin module.
 */

/**
 * drupal_get_form() form array.
 */
function market_munchkin_admin_settings_form(&$form_state) {
  $form = array();

  $form['munchkin_code'] = array(
    '#type' => 'textfield',
    '#title' => 'Munchkin code',
    '#maxlength' => 255,
    '#description' => t("The code provided by Marketo.com for the Munchkin tracking service.  Should be something like '123-ABC-123'.  Only paste in the bare code with the dashes."),
    '#default_value' => variable_get('munchkin_code', ''),
  );

  $form['munchkin_url'] = array(
    '#type' => 'textfield',
    '#title' => 'Munchkin URL',
    '#maxlength' => 255,
    '#description' => t("The full URL to the JS file necessary for the Marketo.com tracking service.  The default should suffice.  The leading 'http://' or 'https://' should be stripped."),
    '#default_value' => variable_get('munchkin_url', 'munchkin.marketo.net/munchkin.js'),
  );

  return system_settings_form($form);
}
